hledger-lib-1.3: Core data types, parsers and functionality for the hledger accounting tools

Safe Haskell | None
Language | Haskell2010

Hledger.Read.TimedotReader

Contents

- Reader
- Misc other exports
- Tests

Description

A reader for the "timedot" file format. Example:

    #DATE
     Each dot represents 15m, spaces are ignored

    # on 2/1, 1h was spent on FOSS haskell work, 0.25h on research, etc.
    2/1
    fos.haskell   .... ..
    biz.research  .
    inc.client1   .... .... .... .... .... ....

    2/2
    biz.research  .
    inc.client1   .... .... ..

Synopsis

- reader :: Reader
- timedotfilep :: JournalStateParser m ParsedJournal
- tests_Hledger_Read_TimedotReader :: Test

# Reader

reader :: Reader #

# Misc other exports

timedotfilep :: JournalStateParser m ParsedJournal #

# Tests

tests_Hledger_Read_TimedotReader :: Test #